Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  abstract class SubComponent extends AnyRef

  An nsc sub-component.

  An nsc sub-component.

  Definition Classes
    nsc
- StdPhase

c

scala.tools.nsc.SubComponent

# StdPhase

###

#### abstract class StdPhase extends GlobalPhase

A standard phase template

Source
  SubComponent.scala

Linear Supertypes
GlobalPhase, reflect.internal.Phase, AnyRef, Any
Known Subclasses
ParserPhase, BCodePhase, PicklePhase, SkipPhase, Phase, Phase, SpecializationPhase, Phase, Phase, TyperPhase
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StdPhase
2. GlobalPhase
3. Phase
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new StdPhase(prev: Phase)

### Type Members

1.  type Id = Int
   Definition Classes
     Phase

### Abstract Value Members

1.  abstract def apply(unit: Global.CompilationUnit): Unit
   Definition Classes
     GlobalPhase

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StdPhase toany2stringadd[StdPhase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StdPhase, B)
   Implicit
     This member is added by an implicit conversion from StdPhase toArrowAssoc[StdPhase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def applyPhase(unit: Global.CompilationUnit): Unit
   Definition Classes
     GlobalPhase
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  final val assignsFields: Boolean
   Definition Classes
     Phase
9.  def cancelled(unit: Global.CompilationUnit): Boolean

   Is current phase cancelled on this unit?

   Is current phase cancelled on this unit?

   Definition Classes
     GlobalPhase
10.  def checkable: Boolean
    Definition Classes
      Phase
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def description: String
    Definition Classes
      Phase
13.  def ensuring(cond: (StdPhase) => Boolean, msg: => Any): StdPhase
    Implicit
      This member is added by an implicit conversion from StdPhase toEnsuring[StdPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (StdPhase) => Boolean): StdPhase
    Implicit
      This member is added by an implicit conversion from StdPhase toEnsuring[StdPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): StdPhase
    Implicit
      This member is added by an implicit conversion from StdPhase toEnsuring[StdPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): StdPhase
    Implicit
      This member is added by an implicit conversion from StdPhase toEnsuring[StdPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(other: Any): Boolean
    Definition Classes
      Phase → AnyRef → Any
19.  final val erasedTypes: Boolean
    Definition Classes
      Phase
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  def flagMask: Long
    Definition Classes
      Phase
22.  final val flatClasses: Boolean
    Definition Classes
      Phase
23.  val fmask: Long
    Definition Classes
      Phase
24.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StdPhase toStringFormat[StdPhase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
25.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def hasNext: Boolean
    Definition Classes
      Phase
27.  def hashCode(): Int
    Definition Classes
      Phase → AnyRef → Any
28.  val id: Id
    Definition Classes
      Phase
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  def iterator: collection.Iterator[reflect.internal.Phase]
    Definition Classes
      Phase
31.  def keepsTypeParams: Boolean
    Definition Classes
      Phase
32.  def name: String
    Definition Classes
      StdPhase → Phase
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  def newFlags: Long
    Definition Classes
      StdPhase → Phase
35.  def next: reflect.internal.Phase
    Definition Classes
      Phase
36.  def nextFlags: Long
    Definition Classes
      StdPhase → Phase
37.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  val prev: reflect.internal.Phase
    Definition Classes
      Phase
40.  final val refChecked: Boolean
    Definition Classes
      Phase
41.  def run(): Unit
    Definition Classes
      GlobalPhase → Phase
42.  def shouldSkipThisPhaseForJava: Boolean
    Attributes
      protected
    Definition Classes
      GlobalPhase
43.  final val specialized: Boolean
    Definition Classes
      Phase
44.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
45.  def toString(): String
    Definition Classes
      Phase → AnyRef → Any
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  final def withCurrentUnit(unit: Global.CompilationUnit)(task: => Unit): Unit
   Definition Classes
     GlobalPhase
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13) Unused, inlined in applyPhase

2.  final def withCurrentUnitNoLog(unit: Global.CompilationUnit)(task: => Unit): Unit
   Definition Classes
     GlobalPhase
   Annotations
     @inline() @deprecated
   Deprecated

     (Since version 2.13) Unused, see withCurrentUnit

3.  def →[B](y: B): (StdPhase, B)
   Implicit
     This member is added by an implicit conversion from StdPhase toArrowAssoc[StdPhase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from GlobalPhase

### Inherited from reflect.internal.Phase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromStdPhase to any2stringadd[StdPhase]

### Inherited by implicit conversion StringFormat fromStdPhase to StringFormat[StdPhase]

### Inherited by implicit conversion Ensuring fromStdPhase to Ensuring[StdPhase]

### Inherited by implicit conversion ArrowAssoc fromStdPhase to ArrowAssoc[StdPhase]

### Ungrouped